Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4362 - rpm checks free space of wrong filesystem
Summary: rpm checks free space of wrong filesystem
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-08-05 06:48 UTC by v.kuhlmann
Modified: 2015-10-01 11:18 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-08-30 23:28:48 UTC


Attachments (Terms of Use)

Description v.kuhlmann 1999-08-05 06:48:30 UTC
rpm-3.0.2-6.0
I wanted to have a quick look at the kernel source w/o
actually installing it properly (can't - diskspace).
My filesystems / and /C are NOT** the same!
Command and result:
pukeko|volker[1]:/C/umsdos/k> rpm --noscripts --notriggers
--nodeps --force --ro
ot /C/umsdos/k -ivh ../kernel-source-2.2.5-15.i386.rpm
installing package kernel-source-2.2.5-15 needs 16M on the /
filesystem
Exit 1

Problem: rpm has checked the free space on the / instead of
on the /C filesystem. Need to use --ignoresize.

Comment 1 Jeff Johnson 1999-08-16 16:51:59 UTC
Is your /C file system an ext2fs file system? Rpm finds space
by doing a statvfs call, and that may be broken on non-ext2fs
file systems.

Comment 2 Jeff Johnson 2001-05-21 20:07:05 UTC
I have no idea how to reproduce this problem and know of no other occurences.

Comment 3 openshift-github-bot 2015-10-01 11:18:02 UTC
Commit pushed to master at https://github.com/openshift/origin

https://github.com/openshift/origin/commit/1fe90e87fcdc03f4fa3ba3a16ea9de2b86f2aa7b
Merge pull request #4872 from rhcarvalho/issue4362-BC-with-invalid-output.to

Merged by openshift-bot


Note You need to log in before you can comment on or make changes to this bug.